classification
Title: Test suite fails when Ipv6 is unavailable
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Nophke, ZackerySpytz, asvetlov, benjamin.peterson, miss-islington, vstinner
Priority: normal Keywords: patch

Created on 2019-06-07 17:00 by Nophke, last changed 2019-09-13 16:12 by miss-islington. This issue is now closed.

Files
File name Uploaded Description Edit
test_suite_fail.txt Nophke, 2019-06-07 17:00 Error_log
Pull Requests
URL Status Linked Edit
PR 14480 merged ZackerySpytz, 2019-06-30 05:58
PR 14486 merged miss-islington, 2019-06-30 15:24
PR 14535 merged ZackerySpytz, 2019-07-01 22:40
PR 16112 merged miss-islington, 2019-09-13 15:54
Messages (10)
msg344970 - (view) Author: N.P. Khelili (Nophke) * Date: 2019-06-07 17:00
The test suite does not handle an OS that does not have IPv6.
When Linux kernel is started with argument:

ipv6.disable=1

The test suite fails. ( See attached file )

5 tests failed:
    test_asyncio test_imaplib test_importlib test_socket test_zipapp
msg346917 - (view) Author: Zackery Spytz (ZackerySpytz) * (Python triager) Date: 2019-06-30 06:12
I've created a PR for this issue.
msg346932 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2019-06-30 15:24
New changeset c2cda638d63b98f5cf9a8ef13e15aace2b7e3f0b by Andrew Svetlov (Zackery Spytz) in branch 'master':
bpo-37199: Fix test failures when IPv6 is unavailable or disabled (#14480)
https://github.com/python/cpython/commit/c2cda638d63b98f5cf9a8ef13e15aace2b7e3f0b
msg346933 - (view) Author: miss-islington (miss-islington) Date: 2019-06-30 15:42
New changeset c2684c6d62978e9ce8256c3c7744d0332a2abe4c by Miss Islington (bot) in branch '3.8':
bpo-37199: Fix test failures when IPv6 is unavailable or disabled (GH-14480)
https://github.com/python/cpython/commit/c2684c6d62978e9ce8256c3c7744d0332a2abe4c
msg346934 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2019-06-30 15:53
Thanks!
msg346975 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-07-01 08:24
Python 3.7 is still supported, if it's a bugfix, 3.7 should be fixed as well:
https://devguide.python.org/#status-of-python-branches

Christian Heimes asked for a change after the PR was merged:
https://github.com/python/cpython/pull/14480#pullrequestreview-256080790
msg347039 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2019-07-01 16:25
Victor, backporting to 3.7 makes merge conflicts.
Do you think that I should backport manually?
msg347040 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-07-01 16:26
> Do you think that I should backport manually?

Zackery Spytz: Can you please try to backport manually to 3.7?

But I would prefer to wait until Christian's issue is addressed.
msg352349 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-09-13 15:53
New changeset 81319a81b2a3f42fe1047c2e6f5fd958faab6cdb by Benjamin Peterson (Zackery Spytz) in branch 'master':
bpo-37199: Replace the early returns added in c2cda63. (GH-14535)
https://github.com/python/cpython/commit/81319a81b2a3f42fe1047c2e6f5fd958faab6cdb
msg352356 - (view) Author: miss-islington (miss-islington) Date: 2019-09-13 16:12
New changeset 83c21fdc36070f9fa3eb3b68181630e2cc6480fe by Miss Islington (bot) in branch '3.8':
bpo-37199: Replace the early returns added in c2cda63. (GH-14535)
https://github.com/python/cpython/commit/83c21fdc36070f9fa3eb3b68181630e2cc6480fe
History
Date User Action Args
2019-09-13 16:12:36miss-islingtonsetmessages: + msg352356
2019-09-13 15:54:08miss-islingtonsetpull_requests: + pull_request15727
2019-09-13 15:53:15benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg352349
2019-07-01 22:40:54ZackerySpytzsetpull_requests: + pull_request14348
2019-07-01 16:26:31vstinnersetmessages: + msg347040
2019-07-01 16:25:21asvetlovsetmessages: + msg347039
2019-07-01 08:24:09vstinnersetmessages: + msg346975
2019-06-30 15:53:48asvetlovsetstatus: open -> closed
versions: + Python 3.8
messages: + msg346934

resolution: fixed
stage: patch review -> resolved
2019-06-30 15:42:26miss-islingtonsetnosy: + miss-islington
messages: + msg346933
2019-06-30 15:24:56miss-islingtonsetpull_requests: + pull_request14305
2019-06-30 15:24:50asvetlovsetnosy: + asvetlov
messages: + msg346932
2019-06-30 06:12:22ZackerySpytzsetnosy: + ZackerySpytz
messages: + msg346917
components: + Tests
2019-06-30 05:58:34ZackerySpytzsetkeywords: + patch
stage: patch review
pull_requests: + pull_request14297
2019-06-07 17:11:27vstinnersetnosy: + vstinner
2019-06-07 17:00:30Nophkecreate